# FTPolygonFont Class Reference

FTPolygonFont is a specialisation of the FTFont class for handling tesselated Polygon Mesh fonts. More...

`#include <FTGLPolygonFont.h>`

Inheritance diagram for FTPolygonFont:

## Public Member Functions
| FTPolygonFont (const char *fontFilePath)
| Open and read a font file.
| FTPolygonFont (const unsigned char *pBufferBytes, size_t bufferSizeInBytes)
| Open and read a font from a buffer in memory.
| ~FTPolygonFont ()
| Destructor.
## Protected Member Functions
virtual FTGlyph * | MakeGlyph (FT_GlyphSlot slot)
| Construct a glyph of the correct type.

## Detailed Description

FTPolygonFont is a specialisation of the FTFont class for handling tesselated Polygon Mesh fonts.

See also:
  FTFont

Definition at line 45 of file FTGLPolygonFont.h.

## Constructor & Destructor Documentation

FTPolygonFont::FTPolygonFont | ( | const char * | fontFilePath | ) |

Open and read a font file.

Sets Error flag.

Parameters:

  | fontFilePath | font file path.

FTPolygonFont::FTPolygonFont | ( | const unsigned char * | pBufferBytes,
|  | size_t | bufferSizeInBytes |
| ) |  |  |

Open and read a font from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters:

  | pBufferBytes | the in-memory buffer
  | bufferSizeInBytes | the length of the buffer in bytes

FTPolygonFont::~FTPolygonFont | ( |  | ) |

Destructor.

## Member Function Documentation

virtual FTGlyph* FTPolygonFont::MakeGlyph | ( | FT_GlyphSlot | slot | ) | `[protected, virtual]`

Construct a glyph of the correct type.

Clients must override the function and return their specialised FTGlyph.

Parameters:

  | slot | A FreeType glyph slot.

Returns:
  An FT****Glyph or `null` on failure.

Implements FTFont.

The documentation for this class was generated from the following file:

- FTGLPolygonFont.h